Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(36)

Issue 1325953002: Add functions to let tests read and control the Bluetooth chooser state. (Closed)

Created:
4 years, 4 months ago by Jeffrey Yasskin
Modified:
4 years, 4 months ago
Reviewers:
scheib, ortuno, Mike West, sky
CC:
chromium-reviews, darin-cc_chromium.org, jam, jochen+watch_chromium.org, mkwst+moarreviews-shell_chromium.org, mlamouri+watch-content_chromium.org, scheib+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@lkcr
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Add functions to let tests read and control the Bluetooth chooser state. These functions are specified at https://webbluetoothcg.github.io/web-bluetooth/tests/. See tests using this in https://codereview.chromium.org/1304353004/. BUG=500989 Committed: https://crrev.com/8057c00a4b45dd766660fa199d0e2aebf41119cc Cr-Commit-Position: refs/heads/master@{#348202}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Update strings to depend less on our implementation. #

Total comments: 1

Patch Set 3 : Fix Gio's comments. #

Patch Set 4 : Fix a compile error on Windows. #

Patch Set 5 : Comment where the test functions are specified. #

Patch Set 6 : components/html_viewer has a surprise subclass of WebTestDelegate. #

Patch Set 7 : Add a forgotten semicolon. :-/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+399 lines, -1 line) Patch
M components/html_viewer/web_test_delegate_impl.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M components/html_viewer/web_test_delegate_impl.cc View 1 2 3 4 5 6 1 chunk +16 lines, -0 lines 0 comments Download
M components/test_runner/test_runner.h View 1 chunk +17 lines, -1 line 0 comments Download
M components/test_runner/test_runner.cc View 1 2 3 4 4 chunks +43 lines, -0 lines 0 comments Download
M components/test_runner/web_test_delegate.h View 1 1 chunk +15 lines, -0 lines 0 comments Download
M content/content_shell.gypi View 1 chunk +2 lines, -0 lines 0 comments Download
M content/shell/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M content/shell/browser/blink_test_controller.h View 5 chunks +13 lines, -0 lines 0 comments Download
M content/shell/browser/blink_test_controller.cc View 1 4 chunks +59 lines, -0 lines 0 comments Download
A content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.h View 1 chunk +49 lines, -0 lines 0 comments Download
A content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc View 1 2 3 1 chunk +130 lines, -0 lines 0 comments Download
M content/shell/browser/shell.h View 1 chunk +4 lines, -0 lines 0 comments Download
M content/shell/browser/shell.cc View 2 chunks +14 lines, -0 lines 0 comments Download
M content/shell/common/shell_messages.h View 1 chunk +8 lines, -0 lines 0 comments Download
M content/shell/renderer/layout_test/blink_test_runner.h View 1 1 chunk +4 lines, -0 lines 0 comments Download
M content/shell/renderer/layout_test/blink_test_runner.cc View 1 1 chunk +19 lines, -0 lines 0 comments Download

Messages

Total messages: 36 (11 generated)
Jeffrey Yasskin
What do you think? This gives us the ability to check what events a chooser ...
4 years, 4 months ago (2015-09-02 01:54:26 UTC) #2
ortuno
So many layers of indirection D: Just a couple of comments/questions. Also what would we ...
4 years, 4 months ago (2015-09-02 16:14:25 UTC) #3
scheib
We should decide if we're intending chooser tests to be portable to other browser implementations. ...
4 years, 4 months ago (2015-09-02 16:43:41 UTC) #4
Jeffrey Yasskin
On 2015/09/02 16:43:41, scheib wrote: > We should decide if we're intending chooser tests to ...
4 years, 4 months ago (2015-09-02 17:00:45 UTC) #5
scheib
On 2015/09/02 17:00:45, Jeffrey Yasskin wrote: > On 2015/09/02 16:43:41, scheib wrote: > > We ...
4 years, 4 months ago (2015-09-02 17:29:08 UTC) #6
Jeffrey Yasskin
On Wed, Sep 2, 2015 at 10:29 AM, <scheib@chromium.org> wrote: > On 2015/09/02 17:00:45, Jeffrey ...
4 years, 4 months ago (2015-09-02 18:24:01 UTC) #7
Jeffrey Yasskin
On 2015/09/02 17:29:08, scheib wrote: > On 2015/09/02 17:00:45, Jeffrey Yasskin wrote: > > On ...
4 years, 4 months ago (2015-09-09 20:47:22 UTC) #8
ortuno
On 2015/09/09 at 20:47:22, jyasskin wrote: > On 2015/09/02 17:29:08, scheib wrote: > > On ...
4 years, 4 months ago (2015-09-09 20:49:29 UTC) #9
Jeffrey Yasskin
Oops, sorry Gio! https://codereview.chromium.org/1325953002/diff/1/content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc File content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc (right): https://codereview.chromium.org/1325953002/diff/1/content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc#newcode15 content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc:15: // showing a dialog, selects the ...
4 years, 4 months ago (2015-09-09 21:26:08 UTC) #10
scheib
LGTM
4 years, 4 months ago (2015-09-09 21:43:24 UTC) #11
Jeffrey Yasskin
Hi Mike, can you take a look at the new testing functions? There's a spec ...
4 years, 4 months ago (2015-09-09 22:26:19 UTC) #13
ortuno
lgtm https://codereview.chromium.org/1325953002/diff/20001/content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc File content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc (right): https://codereview.chromium.org/1325953002/diff/20001/content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc#newcode15 content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc:15: // showing a dialog, selects the Line wrapping.
4 years, 4 months ago (2015-09-09 22:29:10 UTC) #14
ortuno
On 2015/09/09 at 22:29:10, ortuno wrote: > lgtm > > https://codereview.chromium.org/1325953002/diff/20001/content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc > File content/shell/browser/layout_test/layout_test_bluetooth_chooser_factory.cc (right): ...
4 years, 4 months ago (2015-09-09 22:29:35 UTC) #15
Mike West
LGTM. Please put a link to the (nicely done!) spec in the CL description.
4 years, 4 months ago (2015-09-10 06:49:50 UTC) #16
Jeffrey Yasskin
On 2015/09/10 06:49:50, Mike West (gardening) wrote: > LGTM. > > Please put a link ...
4 years, 4 months ago (2015-09-10 16:47:28 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1325953002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1325953002/80001
4 years, 4 months ago (2015-09-10 16:48:37 UTC) #20
commit-bot: I haz the power
Try jobs failed on following builders: win8_chromium_ng on tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win8_chromium_ng/builds/39118)
4 years, 4 months ago (2015-09-10 17:14:52 UTC) #22
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1325953002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1325953002/100001
4 years, 4 months ago (2015-09-10 17:38:51 UTC) #24
Jeffrey Yasskin
Scott, ptal at components/html_viewer.
4 years, 4 months ago (2015-09-10 17:39:06 UTC) #26
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1325953002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1325953002/120001
4 years, 4 months ago (2015-09-10 17:54:22 UTC) #28
sky
LGTM
4 years, 4 months ago (2015-09-10 18:06:18 UTC) #29
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1325953002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1325953002/120001
4 years, 4 months ago (2015-09-10 18:28:57 UTC) #33
commit-bot: I haz the power
Committed patchset #7 (id:120001)
4 years, 4 months ago (2015-09-10 19:10:05 UTC) #34
commit-bot: I haz the power
Patchset 7 (id:??) landed as https://crrev.com/8057c00a4b45dd766660fa199d0e2aebf41119cc Cr-Commit-Position: refs/heads/master@{#348202}
4 years, 4 months ago (2015-09-10 19:10:59 UTC) #35
commit-bot: I haz the power
4 years, 4 months ago (2015-09-23 12:12:48 UTC) #36
Message was sent while issue was closed.
Patchset 7 (id:??) landed as
https://crrev.com/8057c00a4b45dd766660fa199d0e2aebf41119cc
Cr-Commit-Position: refs/heads/master@{#348202}

Powered by Google App Engine
This is Rietveld 408576698